# Class: AdminVariantsResource

## Hierarchy

- `default`

  ↳ **`AdminVariantsResource`**

## Methods

### list

▸ **list**(`query?`, `customHeaders?`): [`ResponsePromise`](../modules/internal.md#responsepromise)<[`AdminVariantsListRes`](../modules/internal-33.md#adminvariantslistres)\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `query?` | [`AdminGetVariantsParams`](internal-33.AdminGetVariantsParams.md) |
| `customHeaders` | `Record`<`string`, `any`\> |

#### Returns

[`ResponsePromise`](../modules/internal.md#responsepromise)<[`AdminVariantsListRes`](../modules/internal-33.md#adminvariantslistres)\>

#### Defined in

[medusa-js/src/resources/admin/variants.ts:7](https://github.com/medusajs/medusa/blob/29135c051/packages/medusa-js/src/resources/admin/variants.ts#L7)
